# Interface PolygonSymbol3DJson

PolygonSymbol3D is used to render features with Polygon geometry in a 3D SceneView. Polygon features may also be rendered as points with icons or objects at the centroid of each polygon.

See https://developers.arcgis.com/web-scene-specification/objects/polygonSymbol3D/.

interface PolygonSymbol3DJson {
symbolLayers: (ExtrudeSymbol3DLayerJson | FillSymbol3DLayerJson | LineSymbol3DLayerJson)[];
type: "PolygonSymbol3D";
}

#### Hierarchy (view full)

- Symbol3DJsonBase
  - PolygonSymbol3DJson

#####
Index

### Properties

symbolLayers
type

##
Properties

### symbolLayers

symbolLayers: (ExtrudeSymbol3DLayerJson | FillSymbol3DLayerJson | LineSymbol3DLayerJson)[]

A Collection of Symbol3DLayer objects used to visualize the graphic or feature.

Overrides Symbol3DJsonBase.symbolLayers

### type

type

The type of symbol. See SymbolJsonType.

Overrides Symbol3DJsonBase.type